diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/update-core.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/update-core.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/update-core.php	2013-03-18 09:01:25.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/update-core.php	2013-10-23 09:40:10.000000000 -0500
***************
*** 7,13 ****
   */
  
  /** WordPress Administration Bootstrap */
! require_once('./admin.php');
  
  wp_enqueue_style( 'plugin-install' );
  wp_enqueue_script( 'plugin-install' );
--- 7,13 ----
   */
  
  /** WordPress Administration Bootstrap */
! require_once( dirname( __FILE__ ) . '/admin.php' );
  
  wp_enqueue_style( 'plugin-install' );
  wp_enqueue_script( 'plugin-install' );
***************
*** 22,32 ****
  	wp_die( __( 'You do not have sufficient permissions to update this site.' ) );
  
  function list_core_update( $update ) {
! 	global $wp_local_package, $wpdb;
! 	static $first_pass = true;
  
- 	$version_string = ('en_US' == $update->locale && 'en_US' == get_locale() ) ?
- 			$update->current : sprintf("%s&ndash;<strong>%s</strong>", $update->current, $update->locale);
  	$current = false;
  	if ( !isset($update->response) || 'latest' == $update->response )
  		$current = true;
--- 22,38 ----
  	wp_die( __( 'You do not have sufficient permissions to update this site.' ) );
  
  function list_core_update( $update ) {
!  	global $wp_local_package, $wpdb, $wp_version;
!   	static $first_pass = true;
! 
!  	if ( 'en_US' == $update->locale && 'en_US' == get_locale() )
!  		$version_string = $update->current;
!  	// If the only available update is a partial builds, it doesn't need a language-specific version string.
!  	elseif ( 'en_US' == $update->locale && $update->packages->partial && $wp_version == $update->partial_version && ( $updates = get_core_updates() ) && 1 == count( $updates ) )
!  		$version_string = $update->current;
!  	else
!  		$version_string = sprintf( "%s&ndash;<strong>%s</strong>", $update->current, $update->locale );
  
  	$current = false;
  	if ( !isset($update->response) || 'latest' == $update->response )
  		$current = true;
***************
*** 40,46 ****
  		$download = __('Download nightly build');
  	} else {
  		if ( $current ) {
! 			$message = sprintf(__('You have the latest version of WordPress. You do not need to update. However, if you want to re-install version %s, you can do so automatically or download the package and re-install manually:'), $version_string);
  			$submit = __('Re-install Now');
  			$form_action = 'update-core.php?action=do-core-reinstall';
  		} else {
--- 46,52 ----
  		$download = __('Download nightly build');
  	} else {
  		if ( $current ) {
! 			$message = sprintf( __( 'If you need to re-install version %s, you can do so here or download the package and re-install manually:' ), $version_string );
  			$submit = __('Re-install Now');
  			$form_action = 'update-core.php?action=do-core-reinstall';
  		} else {
***************
*** 89,95 ****
  	echo '</p>';
  	if ( 'en_US' != $update->locale && ( !isset($wp_local_package) || $wp_local_package != $update->locale ) )
  	    echo '<p class="hint">'.__('This localized version contains both the translation and various other localization fixes. You can skip upgrading if you want to keep your current translation.').'</p>';
! 	else if ( 'en_US' == $update->locale && get_locale() != 'en_US' ) {
  	    echo '<p class="hint">'.sprintf( __('You are about to install WordPress %s <strong>in English (US).</strong> There is a chance this update will break your translation. You may prefer to wait for the localized version to be released.'), $update->response != 'development' ? $update->current : '' ).'</p>';
  	}
  	echo '</form>';
--- 95,102 ----
  	echo '</p>';
  	if ( 'en_US' != $update->locale && ( !isset($wp_local_package) || $wp_local_package != $update->locale ) )
  	    echo '<p class="hint">'.__('This localized version contains both the translation and various other localization fixes. You can skip upgrading if you want to keep your current translation.').'</p>';
! 	// Partial builds don't need language-specific warnings.
! 	elseif ( 'en_US' == $update->locale && get_locale() != 'en_US' && ( ! $update->packages->partial && $wp_version == $update->partial_version ) ) {
  	    echo '<p class="hint">'.sprintf( __('You are about to install WordPress %s <strong>in English (US).</strong> There is a chance this update will break your translation. You may prefer to wait for the localized version to be released.'), $update->response != 'development' ? $update->current : '' ).'</p>';
  	}
  	echo '</form>';
***************
*** 131,143 ****
   * @return null
   */
  function core_upgrade_preamble() {
! 	global $wp_version;
  
  	$updates = get_core_updates();
  
  	if ( !isset($updates[0]->response) || 'latest' == $updates[0]->response ) {
  		echo '<h3>';
  		_e('You have the latest version of WordPress.');
  		echo '</h3>';
  	} else {
  		echo '<div class="updated inline"><p>';
--- 138,164 ----
   * @return null
   */
  function core_upgrade_preamble() {
! 	global $wp_version, $required_php_version, $required_mysql_version;
  
  	$updates = get_core_updates();
  
  	if ( !isset($updates[0]->response) || 'latest' == $updates[0]->response ) {
  		echo '<h3>';
  		_e('You have the latest version of WordPress.');
+ 
+ 		if ( wp_http_supports( 'ssl' ) ) {
+ 			require_once ABSPATH . 'wp-admin/includes/class-wp-upgrader.php';
+ 			$upgrader = new WP_Automatic_Updater;
+ 			$future_minor_update = (object) array(
+ 				'current'       => $wp_version . '.1.next.minor',
+ 				'version'       => $wp_version . '.1.next.minor',
+ 				'php_version'   => $required_php_version,
+ 				'mysql_version' => $required_mysql_version,
+ 			);
+ 			$should_auto_update = $upgrader->should_update( 'core', $future_minor_update, ABSPATH );
+ 			if ( $should_auto_update )
+ 				echo ' ' . __( 'Future security updates will be applied automatically.' );
+ 		}
  		echo '</h3>';
  	} else {
  		echo '<div class="updated inline"><p>';
***************
*** 149,154 ****
--- 170,182 ----
  		echo '</h3>';
  	}
  
+ 	if ( isset( $updates[0] ) && $updates[0]->response == 'development' ) {
+ 		require_once ABSPATH . 'wp-admin/includes/class-wp-upgrader.php';
+ 		$upgrader = new WP_Automatic_Updater;
+ 		if ( wp_http_supports( 'ssl' ) && $upgrader->should_update( 'core', $updates[0], ABSPATH ) )
+ 			echo '<div class="updated inline"><p><strong>BETA TESTERS:</strong> This site is set up to install updates of future beta versions automatically.</p></div>';
+ 	}
+ 
  	echo '<ul class="core-updates">';
  	$alternate = true;
  	foreach( (array) $updates as $update ) {
***************
*** 157,165 ****
  		echo '</li>';
  	}
  	echo '</ul>';
! 	if ( $updates ) {
  		echo '<p>' . __( 'While your site is being updated, it will be in maintenance mode. As soon as your updates are complete, your site will return to normal.' ) . '</p>';
! 	} else {
  		list( $normalized_version ) = explode( '-', $wp_version );
  		echo '<p>' . sprintf( __( '<a href="%s">Learn more about WordPress %s</a>.' ), esc_url( self_admin_url( 'about.php' ) ), $normalized_version ) . '</p>';
  	}
--- 185,194 ----
  		echo '</li>';
  	}
  	echo '</ul>';
! 	// Don't show the maintenance mode notice when we are only showing a single re-install option.
! 	if ( $updates && ( count( $updates ) > 1 || $updates[0]->response != 'latest' ) ) {
  		echo '<p>' . __( 'While your site is being updated, it will be in maintenance mode. As soon as your updates are complete, your site will return to normal.' ) . '</p>';
! 	} elseif ( ! $updates ) {
  		list( $normalized_version ) = explode( '-', $wp_version );
  		echo '<p>' . sprintf( __( '<a href="%s">Learn more about WordPress %s</a>.' ), esc_url( self_admin_url( 'about.php' ) ), $normalized_version ) . '</p>';
  	}
***************
*** 265,271 ****
  ?>
  <h3><?php _e( 'Themes' ); ?></h3>
  <p><?php _e( 'The following themes have new versions available. Check the ones you want to update and then click &#8220;Update Themes&#8221;.' ); ?></p>
! <p><?php printf( __('<strong>Please Note:</strong> Any customizations you have made to theme files will be lost. Please consider using <a href="%s">child themes</a> for modifications.'), _x('http://codex.wordpress.org/Child_Themes', 'Link used in suggestion to use child themes in GUU') ); ?></p>
  <form method="post" action="<?php echo esc_url( $form_action ); ?>" name="upgrade-themes" class="upgrade">
  <?php wp_nonce_field('upgrade-core'); ?>
  <p><input id="upgrade-themes" class="button" type="submit" value="<?php esc_attr_e('Update Themes'); ?>" name="upgrade" /></p>
--- 294,300 ----
  ?>
  <h3><?php _e( 'Themes' ); ?></h3>
  <p><?php _e( 'The following themes have new versions available. Check the ones you want to update and then click &#8220;Update Themes&#8221;.' ); ?></p>
! <p><?php printf( __( '<strong>Please Note:</strong> Any customizations you have made to theme files will be lost. Please consider using <a href="%s">child themes</a> for modifications.' ), __( 'http://codex.wordpress.org/Child_Themes' ) ); ?></p>
  <form method="post" action="<?php echo esc_url( $form_action ); ?>" name="upgrade-themes" class="upgrade">
  <?php wp_nonce_field('upgrade-core'); ?>
  <p><input id="upgrade-themes" class="button" type="submit" value="<?php esc_attr_e('Update Themes'); ?>" name="upgrade" /></p>
***************
*** 300,305 ****
--- 329,355 ----
  <?php
  }
  
+ function list_translation_updates() {
+ 	$updates = wp_get_translation_updates();
+ 	if ( ! $updates ) {
+ 		if ( 'en_US' != get_locale() ) {
+ 			echo '<h3>' . __( 'Translations' ) . '</h3>';
+ 			echo '<p>' . __( 'Your translations are all up to date.' ) . '</p>';
+ 		}
+ 		return;
+ 	}
+ 
+ 	$form_action = 'update-core.php?action=do-translation-upgrade';
+ 	?>
+ 	<h3><?php _e( 'Translations' ); ?></h3>
+ 	<form method="post" action="<?php echo esc_url( $form_action ); ?>" name="upgrade-themes" class="upgrade">
+ 		<p><?php _e( 'Some of your translations are out of date.' ); ?></p>
+ 		<?php wp_nonce_field('upgrade-translations'); ?>
+ 		<p><input class="button" type="submit" value="<?php esc_attr_e( 'Update Translations' ); ?>" name="upgrade" /></p>
+ 	</form>
+ 	<?php
+ }
+ 
  /**
   * Upgrade WordPress core display.
   *
***************
*** 310,322 ****
  function do_core_upgrade( $reinstall = false ) {
  	global $wp_filesystem;
  
  	if ( $reinstall )
  		$url = 'update-core.php?action=do-core-reinstall';
  	else
  		$url = 'update-core.php?action=do-core-upgrade';
  	$url = wp_nonce_url($url, 'upgrade-core');
- 	if ( false === ($credentials = request_filesystem_credentials($url, '', false, ABSPATH)) )
- 		return;
  
  	$version = isset( $_POST['version'] )? $_POST['version'] : false;
  	$locale = isset( $_POST['locale'] )? $_POST['locale'] : 'en_US';
--- 360,372 ----
  function do_core_upgrade( $reinstall = false ) {
  	global $wp_filesystem;
  
+ 	include_once ABSPATH . 'wp-admin/includes/class-wp-upgrader.php';
+ 
  	if ( $reinstall )
  		$url = 'update-core.php?action=do-core-reinstall';
  	else
  		$url = 'update-core.php?action=do-core-upgrade';
  	$url = wp_nonce_url($url, 'upgrade-core');
  
  	$version = isset( $_POST['version'] )? $_POST['version'] : false;
  	$locale = isset( $_POST['locale'] )? $_POST['locale'] : 'en_US';
***************
*** 324,338 ****
  	if ( !$update )
  		return;
  
- 	if ( ! WP_Filesystem($credentials, ABSPATH) ) {
- 		request_filesystem_credentials($url, '', true, ABSPATH); //Failed to connect, Error and request again
- 		return;
- 	}
  ?>
  	<div class="wrap">
  	<?php screen_icon('tools'); ?>
  	<h2><?php _e('Update WordPress'); ?></h2>
  <?php
  	if ( $wp_filesystem->errors->get_error_code() ) {
  		foreach ( $wp_filesystem->errors->get_error_messages() as $message )
  			show_message($message);
--- 374,397 ----
  	if ( !$update )
  		return;
  
  ?>
  	<div class="wrap">
  	<?php screen_icon('tools'); ?>
  	<h2><?php _e('Update WordPress'); ?></h2>
  <?php
+ 
+ 	if ( false === ( $credentials = request_filesystem_credentials( $url, '', false, ABSPATH ) ) ) {
+ 		echo '</div>';
+ 		return;
+ 	}
+ 
+ 	if ( ! WP_Filesystem( $credentials, ABSPATH ) ) {
+ 		// Failed to connect, Error and request again
+ 		request_filesystem_credentials( $url, '', true, ABSPATH );
+ 		echo '</div>';
+ 		return;
+ 	}
+ 
  	if ( $wp_filesystem->errors->get_error_code() ) {
  		foreach ( $wp_filesystem->errors->get_error_messages() as $message )
  			show_message($message);
***************
*** 343,349 ****
  	if ( $reinstall )
  		$update->response = 'reinstall';
  
! 	$result = wp_update_core($update, 'show_message');
  
  	if ( is_wp_error($result) ) {
  		show_message($result);
--- 402,411 ----
  	if ( $reinstall )
  		$update->response = 'reinstall';
  
! 	add_filter( 'update_feedback', 'show_message' );
! 
! 	$upgrader = new Core_Upgrader();
! 	$result = $upgrader->upgrade( $update );
  
  	if ( is_wp_error($result) ) {
  		show_message($result);
***************
*** 448,459 ****
  	echo ' &nbsp; <a class="button" href="' . esc_url( self_admin_url('update-core.php') ) . '">' . __( 'Check Again' ) . '</a>';
  	echo '</p>';
  
! 	if ( current_user_can( 'update_core' ) )
  		core_upgrade_preamble();
! 	if ( current_user_can( 'update_plugins' ) )
  		list_plugin_updates();
! 	if ( current_user_can( 'update_themes' ) )
  		list_theme_updates();
  	do_action('core_upgrade_preamble');
  	echo '</div>';
  	include(ABSPATH . 'wp-admin/admin-footer.php');
--- 510,524 ----
  	echo ' &nbsp; <a class="button" href="' . esc_url( self_admin_url('update-core.php') ) . '">' . __( 'Check Again' ) . '</a>';
  	echo '</p>';
  
! 	if ( $core = current_user_can( 'update_core' ) )
  		core_upgrade_preamble();
! 	if ( $plugins = current_user_can( 'update_plugins' ) )
  		list_plugin_updates();
! 	if ( $themes = current_user_can( 'update_themes' ) )
  		list_theme_updates();
+ 	if ( $core || $plugins || $themes )
+ 		list_translation_updates();
+ 	unset( $core, $plugins, $themes );
  	do_action('core_upgrade_preamble');
  	echo '</div>';
  	include(ABSPATH . 'wp-admin/admin-footer.php');
***************
*** 541,546 ****
  	echo '</div>';
  	include(ABSPATH . 'wp-admin/admin-footer.php');
  
  } else {
  	do_action('update-core-custom_' . $action);
! }
\ No newline at end of file
--- 606,631 ----
  	echo '</div>';
  	include(ABSPATH . 'wp-admin/admin-footer.php');
  
+ } elseif ( 'do-translation-upgrade' == $action ) {
+ 
+ 	if ( ! current_user_can( 'update_core' ) && ! current_user_can( 'update_plugins' ) && ! current_user_can( 'update_themes' ) )
+ 		wp_die( __( 'You do not have sufficient permissions to update this site.' ) );
+ 
+ 	check_admin_referer( 'upgrade-translations' );
+ 
+ 	require_once( ABSPATH . 'wp-admin/admin-header.php' );
+ 	include_once( ABSPATH . 'wp-admin/includes/class-wp-upgrader.php' );
+ 
+ 	$url = 'update-core.php?action=do-translation-upgrade';
+ 	$nonce = 'upgrade-translations';
+ 	$title = __( 'Update Translations' );
+ 	$context = WP_LANG_DIR;
+ 
+ 	$upgrader = new Language_Pack_Upgrader( new Language_Pack_Upgrader_Skin( compact( 'url', 'nonce', 'title', 'context' ) ) );
+ 	$result = $upgrader->bulk_upgrade();
+ 
+ 	require_once( ABSPATH . 'wp-admin/admin-footer.php' );
+ 
  } else {
  	do_action('update-core-custom_' . $action);
! }
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/update.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/update.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/update.php	2013-06-21 00:54:40.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/update.php	2013-09-24 19:18:11.000000000 -0500
***************
*** 10,16 ****
  	define( 'IFRAME_REQUEST', true );
  
  /** WordPress Administration Bootstrap */
! require_once('./admin.php');
  
  include_once ABSPATH . 'wp-admin/includes/class-wp-upgrader.php';
  
--- 10,16 ----
  	define( 'IFRAME_REQUEST', true );
  
  /** WordPress Administration Bootstrap */
! require_once( dirname( __FILE__ ) . '/admin.php' );
  
  include_once ABSPATH . 'wp-admin/includes/class-wp-upgrader.php';
  
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/upgrade.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/upgrade.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/upgrade.php	2013-03-01 11:20:32.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/upgrade.php	2013-09-24 19:18:11.000000000 -0500
***************
*** 15,21 ****
  define( 'WP_INSTALLING', true );
  
  /** Load WordPress Bootstrap */
! require( '../wp-load.php' );
  
  nocache_headers();
  
--- 15,21 ----
  define( 'WP_INSTALLING', true );
  
  /** Load WordPress Bootstrap */
! require( dirname( dirname( __FILE__ ) ) . '/wp-load.php' );
  
  nocache_headers();
  
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/upload.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/upload.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/upload.php	2013-05-08 16:27:31.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/upload.php	2013-09-24 19:18:11.000000000 -0500
***************
*** 7,13 ****
   */
  
  /** WordPress Administration Bootstrap */
! require_once( './admin.php' );
  
  if ( !current_user_can('upload_files') )
  	wp_die( __( 'You do not have permission to upload files.' ) );
--- 7,13 ----
   */
  
  /** WordPress Administration Bootstrap */
! require_once( dirname( __FILE__ ) . '/admin.php' );
  
  if ( !current_user_can('upload_files') )
  	wp_die( __( 'You do not have permission to upload files.' ) );
***************
*** 173,179 ****
  	'<p>' . __( '<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>' ) . '</p>'
  );
  
! require_once('./admin-header.php');
  ?>
  
  <div class="wrap">
--- 173,179 ----
  	'<p>' . __( '<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>' ) . '</p>'
  );
  
! require_once( ABSPATH . 'wp-admin/admin-header.php' );
  ?>
  
  <div class="wrap">
***************
*** 247,250 ****
  </div>
  
  <?php
! include('./admin-footer.php');
--- 247,250 ----
  </div>
  
  <?php
! include( ABSPATH . 'wp-admin/admin-footer.php' );
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/user/about.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/user/about.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/user/about.php	2012-11-21 16:31:55.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/user/about.php	2013-09-24 19:18:11.000000000 -0500
***************
*** 8,13 ****
   */
  
  /** Load WordPress Administration Bootstrap */
! require_once( './admin.php' );
  
! require( '../about.php' );
\ No newline at end of file
--- 8,13 ----
   */
  
  /** Load WordPress Administration Bootstrap */
! require_once( dirname( __FILE__ ) . '/admin.php' );
  
! require( ABSPATH . 'wp-admin/about.php' );
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/user/credits.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/user/credits.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/user/credits.php	2012-11-21 16:31:55.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/user/credits.php	2013-09-24 19:18:11.000000000 -0500
***************
*** 8,13 ****
   */
  
  /** Load WordPress Administration Bootstrap */
! require_once( './admin.php' );
  
! require( '../credits.php' );
\ No newline at end of file
--- 8,13 ----
   */
  
  /** Load WordPress Administration Bootstrap */
! require_once( dirname( __FILE__ ) . '/admin.php' );
  
! require( ABSPATH . 'wp-admin/credits.php' );
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/user/freedoms.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/user/freedoms.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/user/freedoms.php	2012-11-21 16:31:55.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/user/freedoms.php	2013-09-24 19:18:11.000000000 -0500
***************
*** 8,13 ****
   */
  
  /** Load WordPress Administration Bootstrap */
! require_once( './admin.php' );
  
! require( '../freedoms.php' );
\ No newline at end of file
--- 8,13 ----
   */
  
  /** Load WordPress Administration Bootstrap */
! require_once( dirname( __FILE__ ) . '/admin.php' );
  
! require( ABSPATH . 'wp-admin/freedoms.php' );
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/user/index.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/user/index.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/user/index.php	2011-04-28 10:24:49.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/user/index.php	2013-09-24 19:18:11.000000000 -0500
***************
*** 7,12 ****
   * @since 3.1.0
   */
  
! require_once( './admin.php' );
  
! require( '../index.php' );
--- 7,12 ----
   * @since 3.1.0
   */
  
! require_once( dirname( __FILE__ ) . '/admin.php' );
  
! require( ABSPATH . 'wp-admin/index.php' );
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/user/profile.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/user/profile.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/user/profile.php	2011-04-28 10:24:49.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/user/profile.php	2013-09-24 19:18:11.000000000 -0500
***************
*** 7,12 ****
   * @since 3.1.0
   */
  
! require_once( './admin.php' );
  
! require( '../profile.php' );
\ No newline at end of file
--- 7,12 ----
   * @since 3.1.0
   */
  
! require_once( dirname( __FILE__ ) . '/admin.php' );
  
! require( ABSPATH . 'wp-admin/profile.php' );
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/user/user-edit.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/user/user-edit.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/user/user-edit.php	2010-10-21 06:14:22.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/user/user-edit.php	2013-09-24 19:18:11.000000000 -0500
***************
*** 7,12 ****
   * @since 3.1.0
   */
  
! require_once( './admin.php' );
  
! require( '../user-edit.php' );
\ No newline at end of file
--- 7,12 ----
   * @since 3.1.0
   */
  
! require_once( dirname( __FILE__ ) . '/admin.php' );
  
! require( ABSPATH . 'wp-admin/user-edit.php' );
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/user-edit.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/user-edit.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/user-edit.php	2013-07-03 16:24:02.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/user-edit.php	2013-09-24 19:18:11.000000000 -0500
***************
*** 7,13 ****
   */
  
  /** WordPress Administration Bootstrap */
! require_once('./admin.php');
  
  wp_reset_vars( array( 'action', 'user_id', 'wp_http_referer' ) );
  
--- 7,13 ----
   */
  
  /** WordPress Administration Bootstrap */
! require_once( dirname( __FILE__ ) . '/admin.php' );
  
  wp_reset_vars( array( 'action', 'user_id', 'wp_http_referer' ) );
  
***************
*** 205,211 ****
  <?php if ( rich_edit_exists() && !( IS_PROFILE_PAGE && !$user_can_edit ) ) : // don't bother showing the option if the editor has been removed ?>
  	<tr>
  		<th scope="row"><?php _e('Visual Editor')?></th>
! 		<td><label for="rich_editing"><input name="rich_editing" type="checkbox" id="rich_editing" value="false" <?php checked('false', $profileuser->rich_editing); ?> /> <?php _e('Disable the visual editor when writing'); ?></label></td>
  	</tr>
  <?php endif; ?>
  <?php if ( count($_wp_admin_css_colors) > 1 && has_action('admin_color_scheme_picker') ) : ?>
--- 205,211 ----
  <?php if ( rich_edit_exists() && !( IS_PROFILE_PAGE && !$user_can_edit ) ) : // don't bother showing the option if the editor has been removed ?>
  	<tr>
  		<th scope="row"><?php _e('Visual Editor')?></th>
! 		<td><label for="rich_editing"><input name="rich_editing" type="checkbox" id="rich_editing" value="false" <?php if ( ! empty( $profileuser->rich_editing ) ) checked( 'false', $profileuser->rich_editing ); ?> /> <?php _e( 'Disable the visual editor when writing' ); ?></label></td>
  	</tr>
  <?php endif; ?>
  <?php if ( count($_wp_admin_css_colors) > 1 && has_action('admin_color_scheme_picker') ) : ?>
***************
*** 218,224 ****
  if ( !( IS_PROFILE_PAGE && !$user_can_edit ) ) : ?>
  <tr>
  <th scope="row"><?php _e( 'Keyboard Shortcuts' ); ?></th>
! <td><label for="comment_shortcuts"><input type="checkbox" name="comment_shortcuts" id="comment_shortcuts" value="true" <?php if ( !empty($profileuser->comment_shortcuts) ) checked('true', $profileuser->comment_shortcuts); ?> /> <?php _e('Enable keyboard shortcuts for comment moderation.'); ?></label> <?php _e('<a href="http://codex.wordpress.org/Keyboard_Shortcuts" target="_blank">More information</a>'); ?></td>
  </tr>
  <?php endif; ?>
  <tr class="show-admin-bar">
--- 218,224 ----
  if ( !( IS_PROFILE_PAGE && !$user_can_edit ) ) : ?>
  <tr>
  <th scope="row"><?php _e( 'Keyboard Shortcuts' ); ?></th>
! <td><label for="comment_shortcuts"><input type="checkbox" name="comment_shortcuts" id="comment_shortcuts" value="true" <?php if ( ! empty( $profileuser->comment_shortcuts ) ) checked( 'true', $profileuser->comment_shortcuts ); ?> /> <?php _e('Enable keyboard shortcuts for comment moderation.'); ?></label> <?php _e('<a href="http://codex.wordpress.org/Keyboard_Shortcuts" target="_blank">More information</a>'); ?></td>
  </tr>
  <?php endif; ?>
  <tr class="show-admin-bar">
***************
*** 350,356 ****
  </tr>
  
  <?php
! 	foreach (_wp_get_user_contactmethods( $profileuser ) as $name => $desc) {
  ?>
  <tr>
  	<th><label for="<?php echo $name; ?>"><?php echo apply_filters('user_'.$name.'_label', $desc); ?></label></th>
--- 350,356 ----
  </tr>
  
  <?php
! 	foreach ( wp_get_user_contact_methods( $profileuser ) as $name => $desc ) {
  ?>
  <tr>
  	<th><label for="<?php echo $name; ?>"><?php echo apply_filters('user_'.$name.'_label', $desc); ?></label></th>
